## aircrack-ng 1.1-maemo2

=== debian/changelog ===
aircrack-ng (1.1-maemo2) unstable; urgency=low

  * I understand how to update changelogs now.
  * Undid iw dependency until iw maintainer removes conflict

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Tue, 24 May 2011 21:46:55 -0400

=== debian/control ===
Source: aircrack-ng
Section: user/network
Priority: extra
Maintainer: Alexander Kozhevnikov <mentalisttraceur@gmail.com>
Build-Depends: debhelper (>= 5), wireless-tools, libssl-dev
Standards-Version: 3.7.2

Package: aircrack-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wireless-tools
Description: Aircrack-ng is a set of tools for auditing wireless networks.
 Contains:
  airmon-ng: wifi interface mode switcher
  airodump-ng: wifi discovery and monitoring tool, 
  aireplay-ng: inject packets over wifi
  aircrack-ng: test wifi security (...)
  and more...
  Official website: http://www.aircrack-ng.org

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/aircrack-ng.sgml > aircrack-ng.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/aircrack-ng.
	$(MAKE) DESTDIR=$(CURDIR)/debian/aircrack-ng install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## aircrack-ng 1.1-maemo3

=== debian/changelog ===
aircrack-ng (1.1-maemo3) unstable; urgency=low

  * Testing Unstable and Sqlite support

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Tue, 24 May 2011 23:24:50 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: extra
 Maintainer: Alexander Kozhevnikov <mentalisttraceur@gmail.com>
-Build-Depends: debhelper (>= 5), wireless-tools, libssl-dev
+Build-Depends: debhelper (>= 5), wireless-tools, libssl-dev, libsqlite3-dev
 Standards-Version: 3.7.2
 
 Package: aircrack-ng

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	$(MAKE) sqlite=true unstable=true
 	#docbook-to-man debian/aircrack-ng.sgml > aircrack-ng.1
 
 	touch $@
@@ -56,7 +56,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/aircrack-ng.
-	$(MAKE) DESTDIR=$(CURDIR)/debian/aircrack-ng install
+	$(MAKE) DESTDIR=$(CURDIR)/debian/aircrack-ng install sqlite=true unstable=true
 
 
 # Build architecture-independent files here.
@@ -91,7 +91,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-	maemo-optify
+#	maemo-optify
 	dh_md5sums
 	dh_builddeb

## aircrack-ng 1.1-maemo4

=== debian/changelog ===
aircrack-ng (1.1-maemo4) unstable; urgency=low

  * Reverted optification tweeking for now.

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Wed, 25 May 2011 11:38:37 -0400

## aircrack-ng 1.1-maemo5

=== debian/changelog ===
aircrack-ng (1.1-maemo5) unstable; urgency=low

  * Added bugtracker and generic CLI icon.
  * Changed description to comprehensively list all included binaries.

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Mon, 30 May 2011 20:54:26 -0400

=== debian/control ===
Source: aircrack-ng
Section: user/network
Priority: extra
Maintainer: Alexander Kozhevnikov <mentalisttraceur@gmail.com>
Build-Depends: debhelper (>= 5), wireless-tools, libssl-dev, libsqlite3-dev
Standards-Version: 3.7.2

Package: aircrack-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wireless-tools
Description: Aircrack-ng is a set of tools for auditing wireless networks.
 Contains:
  airbase-ng, aircrack-ng, airdecap-ng, airdecloak-ng,
  airdriver-ng, aireplay-ng, airmon-ng, airodump-ng,
  airodump-ng-oui-update, airolib-ng, airserv-ng,
  airtun-ng, besside-ng, buddy-ng, easside-ng, makeivs-ng,
  packetforge-ng, tkiptun-ng, and wesside-ng.
  Official website: http://www.aircrack-ng.org/
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAACYtJREFUeNrUWkurZUcVXvXY
 59zbtyXpICEiaFrJQFDo6CDOHAi2UQdOFBw4CAqCDhU0DuIPEBtCRupIBxk4
 MBMHgpIMnChE1OAD2uADEkFpUM9z710vv7Wq6ty6u09f0+nb3Tcb6u7Hqb33
 96361qq1al/1vscfp+Ac3fjH6+S9v3owP/iYMfqyMaabz2ax62wwtnPDOPgY
 ok8pxpQoKKW9UhRC8IFI+UQ4ds7HFKLW1mujffDexRi9MXiGMQG34uborbEO
 515pckopZ7RxuN8RyflgtBrxfKeNGlNMY0ppxItGUnowSm3Rr7ezubfdnCwe
 SuMw2EsPPvi9x957+SlrNAXvCCTIWkMKvQP6JEYdorQoG6gkUIpo+SgkStyV
 SQb0RwOolACOQdBIlAaQ7XGtT4q2lGhDDCjRGsZYg8Qa71sR75WSPe5Z411o
 doPfN1rrDs/q8MaVVt5Z5T1dnM++8sEPXHnqXzduxOuv/iVutlsGKeCxJbyE
 jxN2uJc3FfkcJzHviBlG5sq/kUq8D4qvyzWKpQ/fzn94H/Mzub88L0hfJc/w
 OPc8Ijh3is8xUhqIMZr+woULscMwRmjCwoDdY+959xcXiwX9/KVfRAyV0gYD
 xTBVeY2mjJuvAR3+aMrgjPRQKtVzrRSDwE1Kl1uEuBADKCX34g5VzKLk/ihk
 lQBl8CKt3IQA5MMEICttPIY5XDw6glSVspv15tGLRxcu/+rl3/D4q9lsJtjl
 1WyTA7TxBKRYfjZEO2IMTufRosxdVcoCPvEIQTaBrYlLjuWFH0Z0Y433LC3Y
 occ5a3ybz7EvmjdaD9IfvudG57d6G4E12fmse+d6tT76z38XcC6TwcOdEtvj
 EGL7jif/fU3x1yaDmWejNuCpEI4ilZT3AFPAwifgA9gPuGMIFAESfqDUBpw2
 inWuVNY+6z4l7NkX1ApWgI/QlvuD/qDZoWMEeRskaODBlmJ4oB9HGoYxycCy
 1R9OavYtT92nweIRotnn4ZkvBhqfRvc/oM8MUJIQqC00zeemWL/FutRnq8Jp
 uam0BtA1yC5x8xLHS7xa9sREEjsy+ogTg4CiASQGpZVDjBMJcTDEEajEeDSM
 DjxCHm/s5s96mn0W0ekF3PZ2eSR1n0qk3+/U5koXaQU9G6q6nwCXcMgWF/CF
 QAVfQHGESSsmQHTcUiYi0QfH6K8YfF8iGEASnBjagPGgp4SoTdra7tAhEnFc
 ZIdVhxD3h3GI1/afgcV/B/pfsnG4plP8pU7q0s76twTPsbyAL3quwKUJUIBa
 4HiBvrLHNd6DFI9MqpbvAWsANifPR2iGUnA6JDiwRAcLz547FwQThihxpE5/
 Bol3YSS+G0g/iuuPQLxftUHEb9HRngDvmv0O/EQ2FfyqtTg3oBGrcyvgNzje
 8nMYKT8XGANvmGhzGG68DzIKc4fJNAmDHC+Gr1kKf1Q0/0Kk7qOJDl/y+vAn
 mDyfwOj5E1av4MVJG/CnAW8tn7XfWL6A7xvwwO134GmycUye8+y6+9FCG7/V
 kbW+eRJzxcsYlb+q1H0yqQs/852+Ehm2b2QzNpavkmkJTMHv9F4IrCqBBvzY
 gOe5aS94IYDOMw7R0oH/HqRkPhJJfyiS+yl+/j3i2FXr+meQ+7wN/J5MWlKE
 4xFgy/eNbE61fNF7Bc9EBDzA7sDnWRfx3rlTwYu9Met2nNmIvj1m0YeSPXzR
 6fRPIHiii3LrDO49pzyNDSecdtij+XUhsdqneb7GwIvmN9wYPPb8nLHMwCyZ
 WHCdull0xghIHgPBk0l/V3H8tlHzrwd9dN1ZhmA/Hg/0OyD26xTdj2Eplo1T
 rNFW8xm8Bngrx8tCYNGCLwR2Dgvw/RQ8W/6NgBcCmH2ZgJd8RkmESeM3kW+8
 orS9GpX9RNTxFRXG57RzP9Tr9Lra6IcxIg8kg/s4XYXXgHqNSivI6QZAqx34
 VRvjJ5bvS7gdVc6Dbgt8HgEE1JRvyK2kYP55ONDzOsyv+QN3zazia5KbsIV6
 +zn/UPflcKmZiVPJg8i9oF8dv2H/pDqRUXXYKhukxVFi/EQ2bwq8EAB4Sfkl
 rc0kJLNRs2zR8Rm7gKs6nDN4KS7cD8xr/kf6b6mJOJK3ECzb078xV6xvBb5G
 GgbPDssZprxn5Een2wIvBJgxW6CkxabMEqk4aYBrSk7DecjOWVe0TQu1Po44
 kAVxZEFMZ+mYYwKtbJhkBY/mKni2fDoxPd0mAS73mqSspgmZgJYYz+YZdpGG
 HVW3sT6tbxE6V8XyN4Fnh71T8DmMah13TpzTYt0QqOBrmGzj/KbG8X2hskab
 Ap5lw5rnRGbkephLzjsFn30AD2IHypUThJJ9IRTnOmn5mg4XSxfwiwJ20ZCR
 jHKqebZ8BQ/Nx9MmqDdMQAoOPLg+rJRSgXaVEg3T3KZoejVNhat8JrKpSRk7
 rMxObPmzAL8jUPKZpgTMs+wey68ay7fpwLLR/qa1fMlr7gr4EwSK5WNOV2VE
 hgJ6O3HQ3ew6Ab8rRKrm26SMl18APp0l+ErAFZ2rov3YyGczyWv2WX65J5c/
 kVEiIYu3SofvmECxds/1sKQGx/l967DLKfg9hQjLpm9yeV/Ah7sFvh2BPvuv
 LJz4Rj7VYZdTy59SRY37qii6S5tNOaPcFgkxCY5KbMl1ydX3hsry+02yKRnl
 /y1Ezm4EkqzZMAj2Xl0WWLcFaAt+57CTdJjJD/cDfK0HhryEsdvGMiInnHYP
 +Dq79jU1aMBHukebLbPkuoTRVB24AbwsSx7rPYVIXzPKJh1OdA83Wxx4nYNQ
 DqGs7zJhtaFyva+KmoCPdI83duKq91iW0nn9vs0qV00hcqsSMNxry7cFzaaA
 5HqA1/T71KyiVctPqig3qV/vC/hcD2QJLWsWWvKfOgKbAn5qeV+qqPhmqqiz
 deJs8WVd6yyzabU6E7jJ8qUQSfcbfIlCPOuqKiH+gtKu72wby0sJWAqRcwH+
 mECCD+yqMLVbpGoKEUmHzxv4UlIalEZhjVosmKT5i2OtA1rLn2kVdbYE+IOS
 0uyknEp7HfUYVeQlQ65fRTZ3oxA5w2xUeaNpw18tEf99UFHWf/iLSLH8uQVf
 RyBARltrDaaEEPhbbI408jURmh/TeQWf10ZtF9iRu86mAAImSi4WeLklr5ad
 X/BCoOsMf/cdZ11HKJ/4HwdiMHyg0/2cYW8nG+X1IDefzxUI8P9ySP2KITj3
 4PMnpqT4ozZrP3bWxq7rUlmle0tsVv6xgWkg/Bg7IxPr/2K8Nbb/CTAAF12f
 5l7y6xMAAAAASUVORK5CYII=
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1169&atid=4376

=== debian/rules ===
--- 
+++ 
@@ -91,7 +91,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-#	maemo-optify
+	maemo-optify
 	dh_md5sums
 	dh_builddeb

## aircrack-ng 1.1-maemo6

=== debian/changelog ===
aircrack-ng (1.1-maemo6) unstable; urgency=low

  * Applied ESSID filtering patch to airodump-ng

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Tue, 31 May 2011 00:48:16 -0400

## aircrack-ng 1.1-maemo7

=== debian/changelog ===
aircrack-ng (1.1-maemo7) unstable; urgency=low

  * Testing manual optification of install path
  * Fixed description
  * First attempt at symlinking in postinst

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Wed,  1 Jun 2011 00:54:56 -0400

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
   airbase-ng, aircrack-ng, airdecap-ng, airdecloak-ng,
   airdriver-ng, aireplay-ng, airmon-ng, airodump-ng,
   airodump-ng-oui-update, airolib-ng, airserv-ng,
-  airtun-ng, besside-ng, buddy-ng, easside-ng, makeivs-ng,
-  packetforge-ng, tkiptun-ng, and wesside-ng.
+  airtun-ng, besside-ng, buddy-ng, easside-ng, ivstools,
+  kstats, makeivs-ng, packetforge-ng, tkiptun-ng,
+  and wesside-ng.
   Official website: http://www.aircrack-ng.org/
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE) sqlite=true unstable=true
+	$(MAKE) sqlite=true unstable=true prefix=/opt/maemo/usr
 	#docbook-to-man debian/aircrack-ng.sgml > aircrack-ng.1
 
 	touch $@
@@ -56,7 +56,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/aircrack-ng.
-	$(MAKE) DESTDIR=$(CURDIR)/debian/aircrack-ng install sqlite=true unstable=true
+	$(MAKE) DESTDIR=$(CURDIR)/debian/aircrack-ng install sqlite=true unstable=true prefix=/opt/maemo/usr
 
 
 # Build architecture-independent files here.
@@ -68,7 +68,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs ChangeLog
-	dh_installdocs
+#	dh_installdocs
 	dh_installexamples
 #	dh_install
 #	dh_installmenu

## aircrack-ng 1.1-maemo8

=== debian/changelog ===
aircrack-ng (1.1-maemo8) unstable; urgency=low

  * Added prerm script to remove symlinks when uninstalling
  * Added "airmon-zc" to the description list of included binaries

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Wed,  1 Jun 2011 11:46:16 -0400

## aircrack-ng 1.1-maemo9

=== scripts/airgraph-ng/Makefile ===
AC_ROOT		= ../..
include		$(AC_ROOT)/common.mak

SCRIPTS         = airgraph-ng dump-join
DOCFILES        = README

default: all

all:
	@echo Nothing to do. Run make install

install:
	install -m 755 $(SCRIPTS) $(DESTDIR)$(bindir)
	$(MAKE) -C man $(@)
	$(MAKE) -C lib $(@)

uninstall:
	-rm -f $(DESTDIR)$(bindir)/airgraph-ng
	-rm -f $(DESTDIR)$(bindir)/dump-join
	-rm -f $(DESTDIR)$(docdir)/README
	$(MAKE) -C lib $(@)
	$(MAKE) -C man $(@)

doc:
	install -d $(DESTDIR)$(docdir)
	install -m 644 $(DOCFILES) $(DESTDIR)$(docdir)

clean:
	@echo Nothing to do.

distclean: clean

=== debian/changelog ===
aircrack-ng (1.1-maemo9) unstable; urgency=low

  * Added checking for existing symlinks to postinst and prerm scripts

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Wed,  1 Jun 2011 14:23:30 -0400

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
 Description: Aircrack-ng is a set of tools for auditing wireless networks.
  Contains:
   airbase-ng, aircrack-ng, airdecap-ng, airdecloak-ng,
-  airdriver-ng, aireplay-ng, airmon-ng, airodump-ng,
-  airodump-ng-oui-update, airolib-ng, airserv-ng,
-  airtun-ng, besside-ng, buddy-ng, easside-ng, ivstools,
-  kstats, makeivs-ng, packetforge-ng, tkiptun-ng,
-  and wesside-ng.
+  airdriver-ng, aireplay-ng, airmon-ng, airmon-zc,
+  airodump-ng, airodump-ng-oui-update, airolib-ng,
+  airserv-ng, airtun-ng, besside-ng, buddy-ng, easside-ng,
+  ivstools, kstats, makeivs-ng, packetforge-ng,
+  tkiptun-ng, and wesside-ng.
   Official website: http://www.aircrack-ng.org/
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0

## aircrack-ng 1.1-maemo10

=== debian/changelog ===
aircrack-ng (1.1-maemo10) unstable; urgency=low

  * Add explicit mention of command-line-only-ness to description

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Wed,  1 Jun 2011 20:19:02 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, wireless-tools
 Description: Aircrack-ng is a set of tools for auditing wireless networks.
- Contains:
+ Contains the follow command-line-only tools:
   airbase-ng, aircrack-ng, airdecap-ng, airdecloak-ng,
   airdriver-ng, aireplay-ng, airmon-ng, airmon-zc,
   airodump-ng, airodump-ng-oui-update, airolib-ng,

## aircrack-ng 1.1-maemo11

=== scripts/Makefile ===
AC_ROOT		= ..
include		$(AC_ROOT)/common.mak

SCRIPTS         = airmon-ng airmon-zc airdriver-ng airodump-ng-oui-update

default: all

all:
	@echo Nothing to do
	
install:
	install -m 755 $(SCRIPTS) $(DESTDIR)$(sbindir)

uninstall:
	-rm -f $(DESTDIR)$(sbindir)/airmon-ng
	-rm -f $(DESTDIR)$(sbindir)/airmon-zc
	-rm -f $(DESTDIR)$(sbindir)/airdriver-ng
	-rm -f $(DESTDIR)$(sbindir)/airodump-ng-oui-update

clean:
	@echo Nothing to do

=== scripts/airoscript-ng/Makefile ===
#!/usr/bin/make
# Configure prefix here:
prefix="/usr/local"
aircrack_prefix="/usr/local" # for packaged aircrack-ng change me to /usr
OSTYPE:=$(shell uname -s|cut -d_ -f1)
include Makefile-$(OSTYPE)

=== scripts/airoscript-ng/doc/html/Makefile ===
all: install
install:
	@echo "\t Installing html documentation"
	@$(INSTALLDATA) *.html $(docdir)/html
	@$(INSTALLDATA) images/* $(docdir)/html/images/

uninstall:
	@echo "Removing html documentation from $(docdir)/html"
	@rm -r $(docdir)/html

=== scripts/airoscript-ng/src/locale/es_ES/Makefile ===
all: build

build:
	#@msgfmt airoscript.po -o airoscript.mo

install:
	@echo "\t Not installing locale es_ES (Not yet translated)"
	#@$(INSTALLDATA) airoscript.mo $(localedir)/`basename \`pwd\``

uninstall:
	#@rm $(localedir)/`basename \`pwd\``/airoscript.mo

clean:
	#@rm airoscript.mo

=== debian/changelog ===
aircrack-ng (1.1-maemo11) unstable; urgency=low

  * Fixed typo in prerm script

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Thu,  2 Jun 2011 02:07:38 -0400

=== debian/rules ===
--- 
+++ 
@@ -67,7 +67,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs ChangeLog
+#	dh_installchangelogs ChangeLog
 #	dh_installdocs
 	dh_installexamples
 #	dh_install
@@ -81,7 +81,7 @@
 #	dh_installinit
 #	dh_installcron
 #	dh_installinfo
-	dh_installman
+#	dh_installman
 	dh_link
 	dh_strip
 	dh_compress

## aircrack-ng 1.1-maemo12

=== src/Makefile ===
AC_ROOT		= ..
LIBPCAP		=
include $(AC_ROOT)/common.mak

TEST_DIR	= $(AC_ROOT)/test

CFLAGS		+= -Iinclude

iCC             = $(shell find /opt/intel/cc/*/bin/icc)
iCFLAGS         = -w -mcpu=pentiumpro -march=pentiumpro $(COMMON_CFLAGS)
iOPTFLAGS       = -O3 -ip -ipo -D_FILE_OFFSET_BITS=64
PROF_DIR	= $(PWD)/prof

BINFILES        = aircrack-ng$(EXE) airdecap-ng$(EXE) packetforge-ng$(EXE) \
		  ivstools$(EXE) kstats$(EXE) makeivs-ng$(EXE) \
		  airdecloak-ng$(EXE)

ifneq ($(OSNAME), cygwin) #There is yet no libpcap support for windows, so we skip the crawler
	HAVE_PCAP	= $(shell ld -lpcap 2> /dev/null && echo yes)
	ifeq ($(HAVE_PCAP), yes) #cannot link with -lpcap, skip crawler
		BINFILES	+= besside-ng-crawler$(EXE)
	endif
endif

ifeq ($(SQLITE), true)
	BINFILES	+= airolib-ng$(EXE)
else
	ifeq ($(sqlite), true)
		BINFILES        += airolib-ng$(EXE)
	else
		ifeq ($(SQLITE), TRUE)
			BINFILES        += airolib-ng$(EXE)
		else
			ifeq ($(sqlite), TRUE)
				BINFILES        += airolib-ng$(EXE)
			endif
		endif
	endif
endif


LIBPCAP		=

SBINFILES       = aireplay-ng$(EXE) airodump-ng$(EXE) airserv-ng$(EXE) \
		  airtun-ng$(EXE) airbase-ng$(EXE) besside-ng$(EXE)
		  
OPTFILES	= aircrack-ng-opt-prof_gen aircrack-ng-opt \
		  aircrack-ng-opt-prof prof/*



ifeq ($(UNSTABLE), true)
	SBINFILES	+= wesside-ng$(EXE) tkiptun-ng$(EXE) easside-ng$(EXE)
	BINFILES	+= buddy-ng$(EXE)
else
	ifeq ($(unstable), true)
		SBINFILES       += wesside-ng$(EXE) tkiptun-ng$(EXE) easside-ng$(EXE)
		BINFILES	+= buddy-ng$(EXE)
	else
		ifeq ($(UNSTABLE), TRUE)
			SBINFILES       += wesside-ng$(EXE) tkiptun-ng$(EXE) easside-ng$(EXE)
			BINFILES	+= buddy-ng$(EXE)
		else
			ifeq ($(unstable), TRUE)
				SBINFILES       += wesside-ng$(EXE) tkiptun-ng$(EXE) easside-ng$(EXE)
				BINFILES	+= buddy-ng$(EXE)
			endif
		endif
	endif
endif


SRC_PTW		= aircrack-ptw-lib.c
SRC_AC		= aircrack-ng.c crypto.c common.c $(SRC_PTW)
OBJS_PTW	= aircrack-ptw-lib.o
OBJS_AC		= aircrack-ng.o crypto.o common.o uniqueiv.o $(OBJS_PTW)
ASM_AC		= sha1-sse2.S

OBJS_AD		= airdecap-ng.o crypto.o common.o
OBJS_PF		= packetforge-ng.o common.o crypto.o
OBJS_AR		= aireplay-ng.o common.o crypto.o
OBJS_ADU	= airodump-ng.o common.o crypto.o uniqueiv.o
ifneq ($(OSNAME), Linux)
	OBJS_ADU	+= osdep/common.o
endif
OBJS_AT		= airtun-ng.o common.o crypto.o
OBJS_IV		= ivstools.o common.o crypto.o uniqueiv.o
OBJS_AS		= airserv-ng.o common.o
OBJS_WS		= wesside-ng.o crypto.c common.o $(OBJS_PTW)
OBJS_BS		= besside-ng.o crypto.c common.o $(OBJS_PTW)
OBJS_BC		= besside-ng-crawler.o
OBJS_AL		= airolib-ng.o crypto.c common.o
OBJS_ES		= easside-ng.o common.o
OBJS_BUDDY	= buddy-ng.o common.o
OBJS_MI		= makeivs-ng.o common.o uniqueiv.o
OBJS_AB		= airbase-ng.o common.o crypto.o
OBJS_AU		= airdecloak-ng.o common.o osdep/radiotap/radiotap-parser.o
OBJS_TT		= tkiptun-ng.o common.o crypto.o


OSD		= osdep
LIBS		= -L$(OSD) -l$(OSD) $(LIBPCAP)
ifeq ($(OSNAME), cygwin)
LIBS		+= -liphlpapi -lsetupapi -luuid
endif
LIBOSD		= $(OSD)/lib$(OSD).a

LIBSSL		= -lssl -lcrypto
LIBSQL		=
ifeq ($(SQLITE), true)
	LIBSQL		= -L/usr/local/lib -lsqlite3
else
	ifeq ($(sqlite), true)
		LIBSQL          = -L/usr/local/lib -lsqlite3
	else
		ifeq ($(SQLITE), TRUE)
			LIBSQL          = -L/usr/local/lib -lsqlite3
		else
			ifeq ($(sqlite), TRUE)
				LIBSQL          = -L/usr/local/lib -lsqlite3
			endif
		endif
	endif
endif

all: osd userland $(SBINFILES)

userland: $(BINFILES)

osd:
	$(MAKE) -C $(OSD)

$(LIBOSD):
	$(MAKE) -C $(OSD)

aircrack-ng-opt: $(SRC_AC)
	$(iCC) $(iCFLAGS) $(iOPTFLAGS) $(REVFLAGS) $(SRC_AC) $(ASM_AC) $(LIBSSL) \
	uniqueiv.o -o aircrack-ng-opt -lpthread $(LIBSQL)

aircrack-ng-opt-prof_gen: $(SRC_AC)
	mkdir -p prof
	$(iCC) $(iCFLAGS) $(iOPTFLAGS) $(REVFLAGS) -prof_genx -DDO_PGO_DUMP \
	-prof_dir$(PROF_DIR) $(SRC_AC) $(ASM_AC) $(LIBSSL) uniqueiv.o -o \
	aircrack-ng-opt-prof_gen -lpthread $(LIBSQL)

aircrack-ng-opt-prof_use: $(SRC_AC)
	$(iCC) $(iCFLAGS) $(iOPTFLAGS) $(REVFLAGS) -prof_use \
	-prof_dir$(PROF_DIR) $(SRC_AC) $(ASM_AC) $(LIBSSL) uniqueiv.o -o \
	aircrack-ng-opt-prof -lpthread $(LIBSQL)

aircrack-ng$(EXE): $(OBJS_AC)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_AC) $(ASM_AC) -o $(@) -lpthread $(LIBSSL) $(LIBSQL)

airdecap-ng$(EXE): $(OBJS_AD)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_AD) -o $(@) $(LIBSSL)

packetforge-ng$(EXE): $(OBJS_PF)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_PF) -o $(@) $(LIBSSL)

aireplay-ng$(EXE): $(OBJS_AR) $(LIBOSD)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_AR) -o $(@) $(LIBS) $(LIBSSL)

airodump-ng$(EXE): $(OBJS_ADU) $(LIBOSD)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_ADU) -o $(@) $(LIBS) $(LIBSSL) -lpthread

airserv-ng$(EXE): $(OBJS_AS) $(LIBOSD)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_AS) -o $(@) $(LIBS) $(LIBPCAP)

airtun-ng$(EXE): $(OBJS_AT) $(LIBOSD)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_AT) -o $(@) $(LIBS) $(LIBSSL)

ivstools$(EXE): $(OBJS_IV)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_IV) -o $(@) $(LIBSSL)

kstats$(EXE): kstats.o
	$(CC) $(CFLAGS) $(LDFLAGS) kstats.o -o $(@)

wesside-ng$(EXE): $(OBJS_WS) $(LIBOSD)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_WS) -o $(@) $(LIBS) $(LIBSSL) -lz

easside-ng$(EXE): $(OBJS_ES) $(LIBOSD)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_ES) -o $(@) $(LIBS) -lz

buddy-ng$(EXE): $(OBJS_BUDDY)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_BUDDY) -o $(@)

besside-ng$(EXE): $(OBJS_BS) $(LIBOSD)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_BS) -o $(@) $(LIBS) $(LIBSSL) -lz

besside-ng-crawler$(EXE): $(OBJS_BC)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_BC) -o $(@) -lpcap

makeivs-ng$(EXE): $(OBJS_MI)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_MI) -o $(@)

airolib-ng$(EXE): $(OBJS_AL)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_AL) -o $(@) $(LIBSSL) -DHAVE_REGEXP $(LIBSQL)

airbase-ng$(EXE): $(OBJS_AB) $(LIBOSD)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_AB) -o $(@) $(LIBS) $(LIBSSL) -lpthread

airdecloak-ng$(EXE): $(OBJS_AU)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_AU) -o $(@)

tkiptun-ng$(EXE): $(OBJS_TT) $(LIBOSD)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_TT) -o $(@) $(LIBS) $(LIBSSL)

strip: $(BINFILES) $(SBINFILES)
	strip $(BINFILES) $(SBINFILES)

clean:
	$(MAKE) -C $(OSD) clean
	-rm -f $(SBINFILES) $(BINFILES) $(OPTFILES) airolib-ng$(EXE) *.o wesside-ng$(EXE) tkiptun-ng$(EXE) easside-ng$(EXE) buddy-ng$(EXE)

distclean: clean

install: all
	$(MAKE) -C $(OSD) install
	install -d $(DESTDIR)$(bindir)
	install -m 755 $(BINFILES) $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(sbindir)
	install -m 755 $(SBINFILES) $(DESTDIR)$(sbindir)

uninstall:
	$(MAKE) -C $(OSD) uninstall
	-rm -f $(DESTDIR)$(bindir)/aircrack-ng$(EXE)
	-rm -f $(DESTDIR)$(bindir)/airdecap-ng$(EXE)
	-rm -f $(DESTDIR)$(bindir)/packetforge-ng$(EXE)
	-rm -f $(DESTDIR)$(bindir)/airolib-ng$(EXE)
	-rm -f $(DESTDIR)$(bindir)/ivstools$(EXE)
	-rm -f $(DESTDIR)$(bindir)/kstats$(EXE)
	-rm -f $(DESTDIR)$(bindir)/buddy-ng$(EXE)
	-rm -f $(DESTDIR)$(sbindir)/airodump-ng$(EXE)
	-rm -f $(DESTDIR)$(sbindir)/airserv-ng$(EXE)
	-rm -f $(DESTDIR)$(sbindir)/airtun-ng$(EXE)
	-rm -f $(DESTDIR)$(sbindir)/aireplay-ng$(EXE)
	-rm -f $(DESTDIR)$(sbindir)/wesside-ng$(EXE)
	-rm -f $(DESTDIR)$(sbindir)/easside-ng$(EXE)
	-rm -f $(DESTDIR)$(sbindir)/besside-ng$(EXE)
	-rm -f $(DESTDIR)$(bindir)/besside-ng-crawler$(EXE)
	-rm -f $(DESTDIR)$(sbindir)/airbase-ng$(EXE)
	-rm -f $(DESTDIR)$(bindir)/makeivs-ng$(EXE)
	-rm -f $(DESTDIR)$(bindir)/airdecloak-ng$(EXE)
	-rm -f $(DESTDIR)$(sbindir)/tkiptun-ng$(EXE)
	-rm -rf $(DESTDIR)$(etcdir)

check: aircrack-ng$(EXE)
	./aircrack-ng$(EXE) -w $(TEST_DIR)/password.lst -a 2 -e Harkonen -q $(TEST_DIR)/wpa2.eapol.cap | grep 'KEY FOUND! \[ 12345678 \]' 
	./aircrack-ng$(EXE) -w $(TEST_DIR)/password.lst -a 2 -e test -q $(TEST_DIR)/wpa.cap | grep 'KEY FOUND! \[ biscotte \]'

=== src/osdep/Makefile ===
AC_ROOT	= ../..
include $(AC_ROOT)/common.mak

RTAP		= radiotap

LIB		= libosdep.a 
CFLAGS		+= $(PIC) -I.. $(LIBAIRPCAP)

OBJS_COMMON	= network.o file.o
OBJS		= osdep.o $(OBJS_COMMON)

#AIRPCAP_DIR	= airpcap
OBJS_APCAP	= airpcap.o

OBJS_OBSD	= $(OBJS) openbsd.o openbsd_tap.o
OBJS_NBSD	= $(OBJS) netbsd.o netbsd_tap.o
OBJS_FBSD	= $(OBJS) freebsd.o freebsd_tap.o
OBJS_LINUX	= $(OBJS) linux.o linux_tap.o radiotap/radiotap-parser.o common.o
OBJS_DUMMY	= $(OBJS) dummy.o dummy_tap.o
OBJS_CYGWIN	= $(OBJS) cygwin.o cygwin_tap.o radiotap/radiotap-parser.o
OBJS_DARWIN = $(OBJS) darwin.o darwin_tap.o radiotap/radiotap-parser.o

# XXX make it a DLL, without polluting cygwin.c
DOPCAP		=
ifeq ($(AIRPCAP), true)
OBJS_CYGWIN    += $(OBJS_APCAP)
DOPCAP		= $(AR) x $(AC_ROOT)/../developers/Airpcap_Devpack/lib/libairpcap.a
endif

all:
	@echo Building for $(OSNAME)
	@$(MAKE) .os.$(OSNAME)

.os.dummy: $(OBJS_DUMMY)
	$(AR) cru $(LIB) $(OBJS_DUMMY)
	$(RANLIB) $(LIB)
	touch $(@)

.os.FreeBSD: $(OBJS_FBSD)
	$(AR) cru $(LIB) $(OBJS_FBSD)
	$(RANLIB) $(LIB)
	touch $(@)

.os.OpenBSD: $(OBJS_OBSD)
	$(AR) cru $(LIB) $(OBJS_OBSD)
	$(RANLIB) $(LIB)
	touch $(@)

.os.NetBSD: $(OBJS_NBSD)
	$(AR) cru $(LIB) $(OBJS_NBSD)
	$(RANLIB) $(LIB)
	touch $(@)

.os.Linux: $(OBJS_LINUX)
	$(AR) cru $(LIB) $(OBJS_LINUX)
	$(RANLIB) $(LIB)
	touch $(@)

.os.cygwin: $(OBJS_CYGWIN) 
	$(DOPCAP)
	$(AR) cru $(LIB) *.o radiotap/radiotap-parser.o
	$(RANLIB) $(LIB) 
	touch $(@)

.os.Darwin: $(OBJS_DARWIN) 
	$(DOPCAP)
	$(AR) cru $(LIB) $(OBJS_DARWIN)
	$(RANLIB) $(LIB) 
	touch $(@)

.os.%: .os.dummy
	@echo "Your platform is unsupported by osdep, dummy code compiled."
	touch $(@)

install: all

uninstall:

clean: 
	$(MAKE) -C $(RTAP) clean
	rm -f $(LIB) *.o .os.*

=== debian/changelog ===
aircrack-ng (1.1-maemo12) unstable; urgency=low

  * Added iw dependency now that I've fixed iw for armel (will probably
    break this package for i386 for now)

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Sat,  2 Jul 2011 01:09:36 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: aircrack-ng
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, wireless-tools
+Depends: ${shlibs:Depends}, ${misc:Depends}, wireless-tools, iw
 Description: Aircrack-ng is a set of tools for auditing wireless networks.
  Contains the follow command-line-only tools:
   airbase-ng, aircrack-ng, airdecap-ng, airdecloak-ng,
